int128s.h File Reference
`#include <exception>`
`#include <cstdlib>`
`#include <cstdio>`
`#include <stddef.h>`
`#include "ZenLib/Conf.h"`

Go to the source code of this file.

## Classes

class | ZenLib::int128

## Namespaces

namespace | ZenLib

## Typedefs

typedef int128 | ZenLib::int128s

## Functions

bool | ZenLib::operator< (const int128 &a, const int128 &b) throw ()
bool | ZenLib::operator== (const int128 &a, const int128 &b) throw ()
bool | ZenLib::operator|| (const int128 &a, const int128 &b) throw ()
bool | ZenLib::operator&& (const int128 &a, const int128 &b) throw ()
int128 | ZenLib::operator+ (const int128 &a, const int128 &b) throw ()
int128 | ZenLib::operator- (const int128 &a, const int128 &b) throw ()
int128 | ZenLib::operator* (const int128 &a, const int128 &b) throw ()
int128 | ZenLib::operator/ (const int128 &a, const int128 &b) throw ()
int128 | ZenLib::operator% (const int128 &a, const int128 &b) throw ()
int128 | ZenLib::operator>> (const int128 &a, unsigned int n) throw ()
int128 | ZenLib::operator<< (const int128 &a, unsigned int n) throw ()
int128 | ZenLib::operator& (const int128 &a, const int128 &b) throw ()
int128 | ZenLib::operator| (const int128 &a, const int128 &b) throw ()
int128 | ZenLib::operator^ (const int128 &a, const int128 &b) throw ()
bool | ZenLib::operator> (const int128 &a, const int128 &b) throw ()
bool | ZenLib::operator<= (const int128 &a, const int128 &b) throw ()
bool | ZenLib::operator>= (const int128 &a, const int128 &b) throw ()
bool | ZenLib::operator!= (const int128 &a, const int128 &b) throw ()